Name:           bottlerocket
Version:        0.04c
Release:        6%{?dist}
Summary:        Utilities to use the FireCracker X10 kit

Group:          Applications/System
# No version is specified.
License:        LGPLv2+
URL:            http://www.linuxha.com/bottlerocket
Source0:        http://www.linuxha.com/bottlerocket/%{name}-%{version}.tar.gz
Patch0:         bottlerocket-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
BottleRocket is a command-line interface for Unix systems to use the
FireCracker kit. It is easy to use, has all of the major (non-gui)
functionality of the Windows interface, is easy to call from scripts and the
backend code is made to be easily linked into other programs.

%prep
%setup -q
%patch0 -p1

%build
%configure --with-x10port=/dev/ttyS0
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04c-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.04c-5
- Rebuilt 

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.04c-3
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.04c-2
- Autorebuild for GCC 4.3

* Sat May 26 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.04c-1
- Initial build
